org.springframework.aop.framework.adapter

## Class AfterReturningAdviceInterceptor

- java.lang.Object
- - org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor

All Implemented Interfaces:
  Serializable, Advice, Interceptor, MethodInterceptor, AfterAdvice

    public class AfterReturningAdviceInterceptor
    extends Object
    implements MethodInterceptor, AfterAdvice, Serializable

Interceptor to wrap am `AfterReturningAdvice`. Used internally by the AOP framework; application developers should not need to use this class directly.

Author:
  Rod Johnson
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`AfterReturningAdviceInterceptor(AfterReturningAdvice advice)` Create a new AfterReturningAdviceInterceptor for the given advice.

### Method Summary

Methods
`Object` `invoke(MethodInvocation mi)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AfterReturningAdviceInterceptor

    public AfterReturningAdviceInterceptor(AfterReturningAdvice advice)

Create a new AfterReturningAdviceInterceptor for the given advice.

Parameters:
  `advice` - the AfterReturningAdvice to wrap

### Method Detail

#### invoke

    public Object invoke(MethodInvocation mi)
                  throws Throwable

Specified by:
  `invoke` in interface `MethodInterceptor`
Throws:
  `Throwable`